<%
/*******************************************************************************
 * Author: Geoff Moes and Robert Sheldon
 * Project: Begining MySQL - Chapter 18
 * Module: index.jsp
 * Date: 12/10/04
 *
 * Description:
 *
 *   This is the main listing page for the DVDRentals transaction application.
 *   This page allows the user to list the current transactions and select
 *   individual transactions for editing and deletion.
 *
 *******************************************************************************/
%>


<%@ page import="java.sql.*,
java.text.SimpleDateFormat,
java.lang.Integer" %>


<html>
<head>
   <title>DVD - Listing</title>
   <link rel="stylesheet" href="dvdstyle.css" type="text/css">
   <script language="JavaScript" src="dvdrentals.js"></script>
   </script>
</head>

<body>


<form name="mainForm" method="post" action="index.jsp">
<input type="hidden" name="command" value="view">
<input type="hidden" name="transaction_id" value="">


<p></p>

<table cellSpacing=0 cellPadding=0 width=619 border=0>
<tr>
   <td>
      <table height=20 cellSpacing=0 cellPadding=0 width=619 bgcolor=#bed8e1 border=0><TBODY>
      <tr align=left>
         <td valign="bottom" width="400" class="title">
            DVD Transaction Listing
         </td>


         <td align="right" width="219" class="title">
            <input type="button" value="New Transaction" class="add" onclick="doAdd(this)">
         </td>


      </tr>
      </table>
      <br>
      <table cellSpacing="2" cellPadding="2" width="619" border="0">
      <tr>
         <td width="250" class="heading">Order Number</td>
         <td width="250" class="heading">Customer</td>
         <td width="250" class="heading">DVDName</td>
         <td width="185" class="heading">DateOut</td>
         <td width="185" class="heading">DateDue</td>
         <td width="185" class="heading">DateIn</td>

         <td width="99" class="heading">&nbsp;</td>

         <td width="99" class="heading">&nbsp;</td>

      </tr>


<%

// Initialize variables with parameters retrieved from the form on the web page.

   String command = request.getParameter("command");
   String transactionIdString = request.getParameter("transaction_id");


// Variables for database operations
   Connection connection;
   Statement stmt;


// Wrap database-related code in try/catch block to handle errors
   try
   {

// Create a DriverManager object to connect to the database
      Class.forName("com.mysql.jdbc.Driver").newInstance();

      connection = DriverManager.getConnection("jdbc:mysql://localhost/DVDRentals",
                                               "mysqlapp",
                                               "pw1");


// This section processes the delete command

      if(transactionIdString != null)
      {
         int transactionId = Integer.valueOf(transactionIdString).intValue();

         if("delete".equals(command))
         {
// Delete command functionality is in delete.jsp
%>
            <%@ include file="delete.jsp" %>
<%
         }
      }



// Construct the SQL Statement
      String selectSql = "SELECT " +
                         "Transactions.TransID, " +
                         "Transactions.OrderID, " +
                         "Transactions.DVDID, " +
                         "Transactions.DateOut, " +
                         "Transactions.DateDue, " +
                         "Transactions.DateIn, " +
                         "Customers.CustFN, " +
                         "Customers.CustLN, " +
                         "DVDs.DVDName " +
                         "FROM Transactions, Orders, Customers, DVDs " +
                         "WHERE Orders.OrderID = Transactions.OrderID " +
                         "AND Customers.CustID = Orders.CustID " +
                         "AND DVDs.DVDID = Transactions.DVDID " +
                         "ORDER BY Transactions.OrderID DESC, " +
                         "Customers.CustLN ASC, Customers.CustFN ASC, " +
                         "Transactions.DateDue DESC, DVDs.DVDName ASC";

// Create Statement object and execute the SQL Statement
      stmt = connection.createStatement();

      ResultSet rs = stmt.executeQuery(selectSql);


// Loop through the result set
      while(rs.next())
      {
// Retrieve the columns from the result set into variables
         int transId = rs.getInt("TransID");
         int orderId = rs.getInt("OrderID");
         int dvdId = rs.getInt("DVDID");
         Date dateOut = rs.getDate("DateOut");
         Date dateDue = rs.getDate("DateDue");
         Date dateIn = rs.getDate("DateIn");
         String custFirstName = rs.getString("CustFN");
         String custLastName = rs.getString("CustLN");
         String dvdName = rs.getString("DVDName");


// Format the result set data into a readable form and assign to variables
         SimpleDateFormat dateFormat = new SimpleDateFormat("MM-dd-yyyy");

         String customerName = "";
         String dateOutPrint = "";
         String dateDuePrint = "";
         String dateInPrint = "";

         if(custFirstName != null)
            customerName += custFirstName + " ";

         if(custLastName != null)
            customerName += custLastName;

         if(dvdName == null)
            dvdName = "";

         if(dateOut != null)
            dateOutPrint = dateFormat.format(dateOut);

         if(dateDue != null)
            dateDuePrint = dateFormat.format(dateDue);

         if(dateIn != null)
            dateInPrint = dateFormat.format(dateIn);

// Print each value in each row in the HTML table
%>

      <tr height="35" valign="top">
         <td class="item">
            <nobr>
            <%=orderId%>
            </nobr>
         </td>
         <td class="item">
            <nobr>
            <%=customerName%>
            </nobr>
         </td>
         <td class="item">
            <nobr>
            <%=dvdName%>
            </nobr>
         </td>
         <td class="item">
            <nobr>
            <%=dateOutPrint%>
            </nobr>
         </td>
         <td class="item">
            <nobr>
            <%=dateDuePrint%>
            </nobr>
         </td>
         <td class="item">
            <nobr>
            <%=dateInPrint%>
            </nobr>
         </td>


         <td class="item" valign="center" align="center">
            <input type="button" value="Edit" class="edit" onclick="doEdit(this, <%=transId%>)">
         </td>


         <td class="item" valign="center" align="center">
            <input type="button" value="Delete" class="delete" onclick="doDelete(this, <%=transId%>)">
         </td>


      </tr>
<%
      }

// Close the database objects and the HTML elements
      rs.close();
      stmt.close();
      connection.close();
   }
   catch(Exception exception)
   {
      throw exception;
   }
%>
      </table>
    </td>
</tr>
</table>
</form>
</body>
</html>


