<%
/*******************************************************************************
 * Author: Geoff Moes and Robert Sheldon
 * Project: Begining MySQL - Chapter 18
 * Module: update.jsp
 * Date: 12/10/04
 *
 * Description:
 *
 *  Include file that contains the logic for the update functionality.
 *
 *******************************************************************************/
%>



<%
// Build the UPDATE statement with parameters references
String updateSql = "UPDATE Transactions SET OrderID = ?, DVDID = ?, DateOut = ?, DateDue = ?, DateIn = ? WHERE TransID = ?";

PreparedStatement preparedStatement = connection.prepareStatement(updateSql);

// Set the parameters
preparedStatement.setInt(1, orderId);
preparedStatement.setInt(2, dvdId);
preparedStatement.setDate(3, new java.sql.Date(dateOut.getTime()));
preparedStatement.setDate(4, new java.sql.Date(dateDue.getTime()));

// Provide a default value for the DateIn column if no value is provided
if(dateIn != null)
   preparedStatement.setDate(5, new java.sql.Date(dateIn.getTime()));
else
   preparedStatement.setString(5, "0000-00-00");

preparedStatement.setInt(6, transId);

// Execute the UPDATE statement
int rowCount = preparedStatement.executeUpdate();

preparedStatement.close();
%>
