<%
/*******************************************************************************
 * Author: Geoff Moes and Robert Sheldon
 * Project: Begining MySQL - Chapter 19
 * Module: update.aspx
 * Date: 12/10/04
 *
 * Description:
 *
 *  Include file that contains the logic for the update functionality.
 *
 *******************************************************************************/
%>



<%
// Build the UPDATE statement with parameters references
String updateSql = "UPDATE Transactions SET OrderID = ?, DVDID = ?, DateOut = ?, DateDue = ?, DateIn = ? WHERE TransID = ?";

odbcCommand = new OdbcCommand(updateSql, odbcConnection);

OdbcParameter [] odbcUpdateParameters = new OdbcParameter[6];

// Set the parameters
odbcUpdateParameters[0] = new OdbcParameter("", OdbcType.Int);
odbcUpdateParameters[0].Value = orderId;
odbcUpdateParameters[1] = new OdbcParameter("", OdbcType.Int);
odbcUpdateParameters[1].Value = dvdId;
odbcUpdateParameters[2] = new OdbcParameter("", OdbcType.Date);
odbcUpdateParameters[2].Value = dateOut;
odbcUpdateParameters[3] = new OdbcParameter("", OdbcType.Date);
odbcUpdateParameters[3].Value = dateDue;

// Provide a default value for the DateIn column if no value is provided
if(!dateIn.Equals(DateTime.MinValue))
{
   odbcUpdateParameters[4] = new OdbcParameter("", OdbcType.Date);
   odbcUpdateParameters[4].Value = dateIn;
}
else
{
   odbcUpdateParameters[4] = new OdbcParameter("", OdbcType.VarChar);
   odbcUpdateParameters[4].Value = "0000-00-00";
}

odbcUpdateParameters[5] = new OdbcParameter("", OdbcType.Int);
odbcUpdateParameters[5].Value = transId;

odbcCommand.Parameters.Add(odbcUpdateParameters[0]);
odbcCommand.Parameters.Add(odbcUpdateParameters[1]);
odbcCommand.Parameters.Add(odbcUpdateParameters[2]);
odbcCommand.Parameters.Add(odbcUpdateParameters[3]);
odbcCommand.Parameters.Add(odbcUpdateParameters[4]);
odbcCommand.Parameters.Add(odbcUpdateParameters[5]);

// Execute the UPDATE statement
odbcCommand.ExecuteNonQuery();

if(odbcCommand != null)
   odbcCommand.Dispose();

if(odbcConnection != null)
   odbcConnection.Dispose();
%>
